services:
  adabuilderbe:
    build:
      context: ./ada-builder-be
      args:
        - SSH_KEY=c3NoLXJzYSBBQUFBQjNOemFDMXljMkVBQUFBREFRQUJBQUFDQVFEbGNRYWx5MFF4VU84SDF5MWZzaXVsTy9abTR2QlkxY1h4U3NOZHR4Q21oSlgyTGRZS3c4SUdHcDhYbTJKK1k2STVKK3NvVFhwNkN4Y0Y1aWYvQnN0NnBKbk1aelJKbktFdFM4RkhiYUU3NmZvT2NSeS9PUW1zWEpJbGVkYS9uYUFmUU5DMVdGdHN2YXRkZ0F4SVlrVW0wUFpudURSemZCRHRoMGI3Z1QxTitHY0kwN081M3Z6S0UwUVRRRkxtZVNCeWU3c0pDRjBua0dnWGRLaStRZzVtYWN3Y2JGeUJwSVlxcFVtQTRsNU81ckdQOVRsaC9BbHNaVzFrU2NvL093dEZ3QWV1T29rMi9YaEVwWk82UnpPUHdVMmVnUG9iNVN1OEt1alBRelNxVzkzcFNKN296bkZKdzVjUTdwU1UwdklRY3BVcjJVa29Qa0RvcE9pS3FPNEdhR3RuRi9vaWFUSHNCRW5uaWlFVFhDR0pBcXRBaitSU3REdkRJc2hvMFBhTGlZaG42VllRejhWNHRKNGo2V1BCYWVaVUt1czJUZi9vUEhyNkc0aEtCZWV4K1Bva1hyd1VCazJmQkpTRGdUQ2IwUUpZb2FVRnRJaUlvMHdVd25yclIzSkVvcnlaNFEyQ1Z4ZDcwSmZaaXp4b1NxSllrdGtoWFBQV1pXOFgxK05LR3F2eUtmTU5vUFNiUEU0V29IRmlnSFlXQi9GQTRJQmVRUENZOTVsd043dVJDY2FkM3F3R3c0ditHdndudFZFRGFkTDhkQ0R6M3dacnpVSGt4K1RDNjVQem9SelI3YncwcVlFcXJLSVRTYkxDYk4vZGl4RHNLQ3dQd29qMWR0MU5TNGg5Wm01RjBkSHhCZHdPRzhLbGsrVkJiVm16ZXVyR1U1NWdSRk9Lc3c9PSBtYW5vYWg4OEBnbWFpbC5jb20K
    ports:
      - "4301:4301"
    env_file:
      - .env
      - ./ada-builder-be/.env.staging
  ada-builder-fe:
    build:
      context: ./ada-builder/client
      args:
        - FONTAWESOME_NPM_AUTH_TOKEN=7DF9DEDE-5D39-41BD-BB03-CDE0DEABCF3A
    ports:
      - "4200:80"
networks:
  default:
    external: true
    name: my_shared_network
